\begin{table}[htbp]
\centering

\caption{This table lists the different classes of constrained devices defined in RFC 7228.}

\begin{tabular}{| l | l | l |}
\hline

\textbf{Name} & \textbf{data size (e.g.~RAM)} & \textbf{code size (e.g.~Flash)}\\ 
\hline 

Class 0, C0 & \textless\textless{} 10 KiB & \textless\textless{} 100 KiB\\ 
\hline 
Class 1, C1 & \textasciitilde{} 10 KiB & \textasciitilde{} 100 KiB\\ 
\hline 
Class 2, C2 & \textasciitilde{} 50 KiB & \textasciitilde{} 250 KiB\\ 
\hline 

\end{tabular}

\label{tab:TODONameRef}

\end{table}
